/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__

extern int p3d_del_desc ( int type );
extern int p3d_del_traj ( pp3d_traj trajPt );
extern int p3d_del_obst ( pp3d_obj o );
extern void delete_config ( pp3d_rob r, config_namePt config );
extern int p3d_del_config ( pp3d_rob robotPt, config_namePt config );
extern int p3d_del_rob ( pp3d_rob r );
extern int p3d_del_env ( pp3d_env e );
extern void create_comp ( p3d_node *Ns, p3d_node *N, p3d_graph *G );
extern void recreate_comp ( p3d_node *Ns, p3d_node *N, p3d_compco *comp, p3d_graph *G );
extern void split_comp ( p3d_graph *G, p3d_compco *comp, p3d_node *N );
extern void p3d_del_node ( p3d_node *N, p3d_graph *G );
extern void destroy_length_array ( pp3d_rob r );
#ifdef MULTIGRAPH
extern void p3d_del_multiGraph(p3d_rob* robot, p3d_multiGraph * mg);
#endif
extern void p3d_destroy_oriented_BB(p3d_oriented_BB *OBB);
#endif /* __CEXTRACT__ */
